Entity Onboarding (Banking Connectivity)
Cancel Entity Onboarding (Banking Connectivity)
Cancel an in-progress entity onboarding with a banking connectivity provider
POST
/
banking
/
entities
/
{entity_id}
/
onboardings
/
{onboarding_id}
/
cancel
Cancel Entity Onboarding (Banking Connectivity)
curl --request POST \
--url https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"private-secret-key: <api-key>",
"public-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("public-api-key", "<api-key>")
req.Header.Add("private-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel")
.header("public-api-key", "<api-key>")
.header("private-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["public-api-key"] = '<api-key>'
request["private-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "990e8400-e29b-41d4-a716-446655440000",
"entity_id": "660e8400-e29b-41d4-a716-446655440000",
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"provider": {
"name": "example_bank",
"entity_id": "col_entity_onboarded_123",
"status": "cancelled"
},
"onboarding_type": "ONE_STEP",
"status": "CANCELLED",
"requirements": [],
"created_at": "2026-02-01T10:00:00Z",
"updated_at": "2026-02-02T08:45:00Z",
"expires_at": "2026-02-08T10:00:00Z"
}{
"id": "990e8400-e29b-41d4-a716-446655440000",
"entity_id": "660e8400-e29b-41d4-a716-446655440000",
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"provider": {
"name": "example_bank",
"entity_id": "col_entity_onboarded_123",
"status": "cancelled"
},
"onboarding_type": "ONE_STEP",
"status": "CANCELLED",
"requirements": [
{}
],
"created_at": "2026-02-01T10:00:00Z",
"updated_at": "2026-02-02T08:45:00Z",
"expires_at": "2026-02-08T10:00:00Z"
}{
"code": "VALIDATION_ERROR",
"messages": [
"Onboarding has reached a terminal status and cannot be cancelled"
]
}{
"code": "ONBOARDING_NOT_FOUND",
"messages": [
"Onboarding not found"
]
}This endpoint is not available through the public API yet. Requests to this path return 404
NOT_FOUND. The rest of this page describes behavior that is not implemented today.Path Parameters
The id of the entity obtained from Create Entity.
The id of the entity obtained from Create Entity.
Response
Was this page helpful?
⌘I
Cancel Entity Onboarding (Banking Connectivity)
curl --request POST \
--url https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"private-secret-key: <api-key>",
"public-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("public-api-key", "<api-key>")
req.Header.Add("private-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel")
.header("public-api-key", "<api-key>")
.header("private-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/banking/entities/{entity_id}/onboardings/{onboarding_id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["public-api-key"] = '<api-key>'
request["private-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "990e8400-e29b-41d4-a716-446655440000",
"entity_id": "660e8400-e29b-41d4-a716-446655440000",
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"provider": {
"name": "example_bank",
"entity_id": "col_entity_onboarded_123",
"status": "cancelled"
},
"onboarding_type": "ONE_STEP",
"status": "CANCELLED",
"requirements": [],
"created_at": "2026-02-01T10:00:00Z",
"updated_at": "2026-02-02T08:45:00Z",
"expires_at": "2026-02-08T10:00:00Z"
}{
"id": "990e8400-e29b-41d4-a716-446655440000",
"entity_id": "660e8400-e29b-41d4-a716-446655440000",
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"provider": {
"name": "example_bank",
"entity_id": "col_entity_onboarded_123",
"status": "cancelled"
},
"onboarding_type": "ONE_STEP",
"status": "CANCELLED",
"requirements": [
{}
],
"created_at": "2026-02-01T10:00:00Z",
"updated_at": "2026-02-02T08:45:00Z",
"expires_at": "2026-02-08T10:00:00Z"
}{
"code": "VALIDATION_ERROR",
"messages": [
"Onboarding has reached a terminal status and cannot be cancelled"
]
}{
"code": "ONBOARDING_NOT_FOUND",
"messages": [
"Onboarding not found"
]
}